Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 703286 (CVE-2019-13767)

Summary: <www-client/chromium-79.0.3945.88: use-after-free in media picker
Product: Gentoo Security Reporter: Stephan Hartmann <sultan>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: chromium
Priority: Normal Keywords: PullRequest
Version: unspecifiedFlags: stable-bot: sanity-check+
Hardware: All   
OS: Linux   
URL: https://chromereleases.googleblog.com/2019/12/stable-channel-update-for-desktop_17.html
See Also: https://github.com/gentoo/gentoo/pull/14041
https://github.com/gentoo/gentoo/pull/14052
Whiteboard: A2 [glsa+ cve]
Package list:
=www-client/chromium-79.0.3945.88
Runtime testing required: ---

Description Stephan Hartmann gentoo-dev 2019-12-18 12:14:29 UTC
See ${URL}

Reproducible: Always
Comment 1 Larry the Git Cow gentoo-dev 2019-12-18 17:31:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f2bb55e164da1ce19035f06c577b65f6ede70a6

commit 4f2bb55e164da1ce19035f06c577b65f6ede70a6
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2019-12-18 14:16:18 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2019-12-18 17:29:54 +0000

    www-client/chromium: stable channel bump to 79.0.3945.88
    
    Bug: https://bugs.gentoo.org/703286
    Package-Manager: Portage-2.3.79, Repoman-2.3.16
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/14041

 www-client/chromium/Manifest                     |   1 +
 www-client/chromium/chromium-79.0.3945.88.ebuild | 736 +++++++++++++++++++++++
 2 files changed, 737 insertions(+)
Comment 2 Agostino Sarubbo gentoo-dev 2019-12-19 15:20:00 UTC
amd64 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 3 Larry the Git Cow gentoo-dev 2019-12-19 16:49:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eda1e3483e2d0953df79c97405803e94bcb739de

commit eda1e3483e2d0953df79c97405803e94bcb739de
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2019-12-19 15:31:13 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2019-12-19 16:48:55 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/703286
    Package-Manager: Portage-2.3.79, Repoman-2.3.16
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/14052

 www-client/chromium/Manifest                     |   1 -
 www-client/chromium/chromium-79.0.3945.79.ebuild | 736 -----------------------
 2 files changed, 737 deletions(-)
Comment 4 Thomas Deutschmann gentoo-dev 2020-03-13 03:06:17 UTC
Added to an existing GLSA request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2020-03-13 03:18:49 UTC
This issue was resolved and addressed in
 GLSA 202003-08 at https://security.gentoo.org/glsa/202003-08
by GLSA coordinator Thomas Deutschmann (whissi).